Sử dụng API Truy xuất Veo3 của CometAPI (GET /v1/videos/) để lấy trạng thái, truy vấn metadata hoặc tải xuống kết quả tạo video Veo3 theo video_id.
curl --request GET \
--url https://api.cometapi.com/v1/videos/{video_id} \
--header 'Authorization: Bearer <token>'{
"id": "task_pa9CKKtYlTdxO7IIHOKKhXfjxEu4EQoR",
"size": "16x9",
"model": "veo_3_1-4K",
"object": "video",
"status": "queued",
"task_id": "task_pa9CKKtYlTdxO7IIHOKKhXfjxEu4EQoR",
"progress": 0,
"created_at": 1773297229
}/v1/videos. Endpoint này trả về trạng thái hiện tại của tác vụ và thông tin model backend đã được phân giải mà CometAPI đang dùng cho tác vụ đó.
Tạo tác vụ trước
id được trả về.Thăm dò cho đến khi tác vụ ở trạng thái kết thúc
queued hoặc in_progress và đạt đến trạng thái hoàn tất./v1/videos và có thể hiển thị id model backend đã được phân giải thay vì alias mà bạn đã gửi.Bearer token authentication. Use your CometAPI key.
Task id returned by the create endpoint.
curl --request GET \
--url https://api.cometapi.com/v1/videos/{video_id} \
--header 'Authorization: Bearer <token>'{
"id": "task_pa9CKKtYlTdxO7IIHOKKhXfjxEu4EQoR",
"size": "16x9",
"model": "veo_3_1-4K",
"object": "video",
"status": "queued",
"task_id": "task_pa9CKKtYlTdxO7IIHOKKhXfjxEu4EQoR",
"progress": 0,
"created_at": 1773297229
}